<?php
$tdataHO___Calls_Summary=array();
	$tdataHO___Calls_Summary[".NumberOfChars"]=80; 
	$tdataHO___Calls_Summary[".ShortName"]="HO___Calls_Summary";
	$tdataHO___Calls_Summary[".OwnerID"]="";
	$tdataHO___Calls_Summary[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsHO___Calls_Summary = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsHO___Calls_Summary["English"]=array();
	$fieldToolTipsHO___Calls_Summary["English"]=array();
	$fieldLabelsHO___Calls_Summary["English"]["Date"] = "Date";
	$fieldToolTipsHO___Calls_Summary["English"]["Date"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsHO___Calls_Summary["English"]["Executive Name"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["COUNT"] = "COUNT";
	$fieldToolTipsHO___Calls_Summary["English"]["COUNT"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsHO___Calls_Summary["English"]["Customer Status"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["Region"] = "Region";
	$fieldToolTipsHO___Calls_Summary["English"]["Region"] = "";
	if (count($fieldToolTipsHO___Calls_Summary["English"])){
		$tdataHO___Calls_Summary[".isUseToolTips"]=true;
	}
}


	
	$tdataHO___Calls_Summary[".NCSearch"]=true;

	

$tdataHO___Calls_Summary[".shortTableName"] = "HO___Calls_Summary";
$tdataHO___Calls_Summary[".nSecOptions"] = 0;
$tdataHO___Calls_Summary[".recsPerRowList"] = 1;	
$tdataHO___Calls_Summary[".tableGroupBy"] = "1";
$tdataHO___Calls_Summary[".mainTableOwnerID"] = "";
$tdataHO___Calls_Summary[".moveNext"] = 1;




$tdataHO___Calls_Summary[".showAddInPopup"] = false;

$tdataHO___Calls_Summary[".showEditInPopup"] = false;

$tdataHO___Calls_Summary[".showViewInPopup"] = false;


$tdataHO___Calls_Summary[".fieldsForRegister"] = array();

$tdataHO___Calls_Summary[".listAjax"] = false;

	$tdataHO___Calls_Summary[".audit"] = false;

	$tdataHO___Calls_Summary[".locking"] = false;
	
$tdataHO___Calls_Summary[".listIcons"] = true;
$tdataHO___Calls_Summary[".edit"] = true;
$tdataHO___Calls_Summary[".inlineEdit"] = true;
$tdataHO___Calls_Summary[".view"] = true;

$tdataHO___Calls_Summary[".exportTo"] = true;

$tdataHO___Calls_Summary[".printFriendly"] = true;

$tdataHO___Calls_Summary[".delete"] = true;

$tdataHO___Calls_Summary[".showSimpleSearchOptions"] = false;

$tdataHO___Calls_Summary[".showSearchPanel"] = true;


$tdataHO___Calls_Summary[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataHO___Calls_Summary[".addPageEvents"] = false;


// use datepicker for search panel
$tdataHO___Calls_Summary[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataHO___Calls_Summary[".isUseTimeForSearch"] = false;

$tdataHO___Calls_Summary[".isUseiBox"] = false;



$tdataHO___Calls_Summary[".isUseInlineJs"] = $tdataHO___Calls_Summary[".isUseInlineAdd"] || $tdataHO___Calls_Summary[".isUseInlineEdit"];

$tdataHO___Calls_Summary[".allSearchFields"] = array();

$tdataHO___Calls_Summary[".globSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Region";	
}


$tdataHO___Calls_Summary[".googleLikeFields"][] = "COUNT";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Date";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Executive Name";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Customer Status";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Region";

$tdataHO___Calls_Summary[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Date";	
}


$tdataHO___Calls_Summary[".advSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Region";	
}

$tdataHO___Calls_Summary[".isTableType"] = "report";

$tdataHO___Calls_Summary[".reportGroupFields"] = true;

	

$tdataHO___Calls_Summary[".isDisplayLoading"] = true;

$tdataHO___Calls_Summary[".isResizeColumns"] = false;


$tdataHO___Calls_Summary[".noRecordsFirstPage"] = true;




$gstrOrderBy = "ORDER BY Date(Date) DESC";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataHO___Calls_Summary[".strOrderBy"] = $gstrOrderBy;
	
$tdataHO___Calls_Summary[".orderindexes"] = array();
$tdataHO___Calls_Summary[".orderindexes"][] = array(2, (0 ? "ASC" : "DESC"), "Date(Date)");

$tdataHO___Calls_Summary[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataHO___Calls_Summary[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataHO___Calls_Summary[".sqlWhereExpr"] = "";
$tdataHO___Calls_Summary[".sqlTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataHO___Calls_Summary[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataHO___Calls_Summary[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataHO___Calls_Summary[".Keys"] = $tableKeys;

//	COUNT
	$fdata = array();
	$fdata["strName"] = "COUNT";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "COUNT";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["COUNT"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 135;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Date"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Executive Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Region"]=$fdata;

	
$tables_data["HO - Calls Summary"]=&$tdataHO___Calls_Summary;
$field_labels["HO___Calls_Summary"] = &$fieldLabelsHO___Calls_Summary;
$fieldToolTips["HO - Calls Summary"] = &$fieldToolTipsHO___Calls_Summary;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["HO - Calls Summary"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["HO - Calls Summary"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto87=array();
$proto87["m_strHead"] = "SELECT";
$proto87["m_strFieldList"] = "COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto87["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto87["m_strWhere"] = "";
$proto87["m_strOrderBy"] = "ORDER BY Date(Date) DESC";
$proto87["m_strTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";
$proto88=array();
$proto88["m_sql"] = "";
$proto88["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto88["m_column"]=$obj;
$proto88["m_contained"] = array();
$proto88["m_strCase"] = "";
$proto88["m_havingmode"] = "0";
$proto88["m_inBrackets"] = "0";
$proto88["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto88);

$proto87["m_where"] = $obj;
$proto90=array();
$proto90["m_sql"] = "";
$proto90["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto90["m_column"]=$obj;
$proto90["m_contained"] = array();
$proto90["m_strCase"] = "";
$proto90["m_havingmode"] = "0";
$proto90["m_inBrackets"] = "0";
$proto90["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto90);

$proto87["m_having"] = $obj;
$proto87["m_fieldlist"] = array();
						$proto92=array();
			$proto93=array();
$proto93["m_functiontype"] = "SQLF_COUNT";
$proto93["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto93["m_arguments"][]=$obj;
$proto93["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto93);

$proto92["m_expr"]=$obj;
$proto92["m_alias"] = "COUNT";
$obj = new SQLFieldListItem($proto92);

$proto87["m_fieldlist"][]=$obj;
						$proto95=array();
			$proto96=array();
$proto96["m_functiontype"] = "SQLF_CUSTOM";
$proto96["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto96["m_arguments"][]=$obj;
$proto96["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto96);

$proto95["m_expr"]=$obj;
$proto95["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto95);

$proto87["m_fieldlist"][]=$obj;
						$proto98=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto98["m_expr"]=$obj;
$proto98["m_alias"] = "";
$obj = new SQLFieldListItem($proto98);

$proto87["m_fieldlist"][]=$obj;
						$proto100=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto100["m_expr"]=$obj;
$proto100["m_alias"] = "";
$obj = new SQLFieldListItem($proto100);

$proto87["m_fieldlist"][]=$obj;
						$proto102=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto102["m_expr"]=$obj;
$proto102["m_alias"] = "";
$obj = new SQLFieldListItem($proto102);

$proto87["m_fieldlist"][]=$obj;
$proto87["m_fromlist"] = array();
												$proto104=array();
$proto104["m_link"] = "SQLL_MAIN";
			$proto105=array();
$proto105["m_strName"] = "calls";
$proto105["m_columns"] = array();
$proto105["m_columns"][] = "idCalls";
$proto105["m_columns"][] = "Date";
$proto105["m_columns"][] = "Call Details";
$proto105["m_columns"][] = "Executive Name";
$proto105["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto105);

$proto104["m_table"] = $obj;
$proto104["m_alias"] = "";
$proto106=array();
$proto106["m_sql"] = "";
$proto106["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto106["m_column"]=$obj;
$proto106["m_contained"] = array();
$proto106["m_strCase"] = "";
$proto106["m_havingmode"] = "0";
$proto106["m_inBrackets"] = "0";
$proto106["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto106);

$proto104["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto104);

$proto87["m_fromlist"][]=$obj;
												$proto108=array();
$proto108["m_link"] = "SQLL_INNERJOIN";
			$proto109=array();
$proto109["m_strName"] = "customer_list";
$proto109["m_columns"] = array();
$proto109["m_columns"][] = "idCL";
$proto109["m_columns"][] = "Created on";
$proto109["m_columns"][] = "Region";
$proto109["m_columns"][] = "Customer Name";
$proto109["m_columns"][] = "Address";
$proto109["m_columns"][] = "City";
$proto109["m_columns"][] = "State";
$proto109["m_columns"][] = "Country";
$proto109["m_columns"][] = "Postal Code";
$proto109["m_columns"][] = "Web address";
$proto109["m_columns"][] = "Area";
$proto109["m_columns"][] = "Customer_Category";
$proto109["m_columns"][] = "Breif About the Company";
$proto109["m_columns"][] = "Existing Setup";
$proto109["m_columns"][] = "Interaction Summary";
$proto109["m_columns"][] = "Commercial Summary";
$proto109["m_columns"][] = "Customer Status";
$proto109["m_columns"][] = "Assigned Executive";
$proto109["m_columns"][] = "Assigned Date";
$proto109["m_columns"][] = "Last Updated on";
$proto109["m_columns"][] = "Aligned Partner";
$obj = new SQLTable($proto109);

$proto108["m_table"] = $obj;
$proto108["m_alias"] = "";
$proto110=array();
$proto110["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto110["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto110["m_column"]=$obj;
$proto110["m_contained"] = array();
$proto110["m_strCase"] = "= customer_list.`Customer Name`";
$proto110["m_havingmode"] = "0";
$proto110["m_inBrackets"] = "0";
$proto110["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto110);

$proto108["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto108);

$proto87["m_fromlist"][]=$obj;
$proto87["m_groupby"] = array();
												$proto112=array();
						$proto113=array();
$proto113["m_functiontype"] = "SQLF_CUSTOM";
$proto113["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto113["m_arguments"][]=$obj;
$proto113["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto113);

$proto112["m_column"]=$obj;
$obj = new SQLGroupByItem($proto112);

$proto87["m_groupby"][]=$obj;
												$proto115=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto115["m_column"]=$obj;
$obj = new SQLGroupByItem($proto115);

$proto87["m_groupby"][]=$obj;
												$proto117=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto117["m_column"]=$obj;
$obj = new SQLGroupByItem($proto117);

$proto87["m_groupby"][]=$obj;
$proto87["m_orderby"] = array();
												$proto119=array();
						$proto120=array();
$proto120["m_functiontype"] = "SQLF_CUSTOM";
$proto120["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto120["m_arguments"][]=$obj;
$proto120["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto120);

$proto119["m_column"]=$obj;
$proto119["m_bAsc"] = 0;
$proto119["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto119);

$proto87["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto87);

$queryData_HO___Calls_Summary = $obj;
$tdataHO___Calls_Summary[".sqlquery"] = $queryData_HO___Calls_Summary;

$tableEvents["HO - Calls Summary"] = new eventsBase;

?>
